VM_MAP_CHECK_PROTECTION(9)

NAME
vm_map_check_protection - check memory protection for a vm_map

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_map.h>
boolean_t
vm_map_check_protection(vm_map_t map, vm_offset_t start, vm_offset_t end, vm_prot_t protection);

DESCRIPTION
The vm_map_check_protection() function asserts that the target map allows the specified privilege protection over the entire address range from start to end. The region MUST be contiguous; no holes are allowed.

IMPLEMENTATION NOTES
This code does not and SHOULD not check whether the contents of the region are accessible. For example, a small file may be mapped into an address space which is significantly larger in size.

RETURN VALUES
The vm_map_check_protection() function returns TRUE if the privilege is allowed; if it is not allowed, or if any other error occurred, the value FALSE is returned.

SEE ALSO
munmap(2), vm_map(9), vm_map_protect(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.